IDA SDK

- Main Page
- Header Files
- Classes
- Modules

Functions
Functions: open built-in windows

## Detailed Description

Convenience functions for ui_open_builtin.

## Functions
TForm * | open_exports_window (ea_t ea)
| Open the exports window (ui_open_builtin). More...
TForm * | open_imports_window (ea_t ea)
| Open the exports window (ui_open_builtin). More...
TForm * | open_names_window (ea_t ea)
| Open the names window (ui_open_builtin). More...
TForm * | open_funcs_window (ea_t ea)
| Open the functions window (ui_open_builtin). More...
TForm * | open_strings_window (ea_t ea, ea_t selstart=BADADDR, ea_t selend=BADADDR)
| Open the strings window (ui_open_builtin). More...
TForm * | open_segments_window (ea_t ea)
| Open the segments window (ui_open_builtin). More...
TForm * | open_segregs_window (ea_t ea)
| Open the segment registers window (ui_open_builtin). More...
TForm * | open_selectors_window (void)
| Open the selectors window (ui_open_builtin). More...
TForm * | open_signatures_window (void)
| Open the signatures window (ui_open_builtin). More...
TForm * | open_tils_window (void)
| Open the type libraries window (ui_open_builtin). More...
TForm * | open_loctypes_window (int ordinal)
| Open the local types window (ui_open_builtin). More...
TForm * | open_calls_window (ea_t ea)
| Open the function calls window (ui_open_builtin). More...
TForm * | open_problems_window (ea_t ea)
| Open the problems window (ui_open_builtin). More...
TForm * | open_bpts_window (ea_t ea)
| Open the breakpoints window (ui_open_builtin). More...
TForm * | open_threads_window (void)
| Open the threads window (ui_open_builtin). More...
TForm * | open_modules_window (void)
| Open the modules window (ui_open_builtin). More...
TForm * | open_trace_window (void)
| Open the trace window (ui_open_builtin). More...
TForm * | open_stack_window (void)
| Open the call stack window (ui_open_builtin). More...
TForm * | open_xrefs_window (ea_t ea)
| Open the cross references window (ui_open_builtin). More...
TForm * | open_frame_window (func_t *pfn, uval_t offset)
| Open the frame window for the given function (ui_open_builtin). More...
TForm * | open_navband_window (ea_t ea, int zoom)
| Open the navigation band window (ui_open_builtin). More...
TForm * | open_enums_window (tid_t const_id=BADADDR)
| Open the enums window (ui_open_builtin). More...
TForm * | open_structs_window (tid_t id=BADADDR, uval_t offset=0)
| Open the structs window (ui_open_builtin). More...
TForm * | open_disasm_window (const char *window_title, const areavec_t *ranges=NULL)
| Open a disassembly view (ui_open_builtin). More...
TForm * | open_hexdump_window (const char *window_title)
| Open a hexdump view (ui_open_builtin). More...
TForm * | open_notepad_window (void)
| Open the notepad window (ui_open_builtin). More...

## Function Documentation

TForm* open_exports_window | ( | ea_t | ea | ) |
| inline

Open the exports window (ui_open_builtin).

Parameters

  ea | index of entry to select by default

Returns
  pointer to resulting window

TForm* open_imports_window | ( | ea_t | ea | ) |
| inline

Open the exports window (ui_open_builtin).

Parameters

  ea | index of entry to select by default

Returns
  pointer to resulting window

TForm* open_names_window | ( | ea_t | ea | ) |
| inline

Open the names window (ui_open_builtin).

Parameters

  ea | index of entry to select by default

Returns
  pointer to resulting window

TForm* open_funcs_window | ( | ea_t | ea | ) |
| inline

Open the functions window (ui_open_builtin).

Parameters

  ea | index of entry to select by default

Returns
  pointer to resulting window

TForm* open_strings_window | ( | ea_t | ea,
|  | ea_t | selstart = `BADADDR`,
|  | ea_t | selend = `BADADDR`
| ) |  |
| inline

Open the strings window (ui_open_builtin).

Parameters

  ea | index of entry to select by default
  selstart,selend | only display strings that occur within this range

Returns
  pointer to resulting window

TForm* open_segments_window | ( | ea_t | ea | ) |
| inline

Open the segments window (ui_open_builtin).

Parameters

  ea | index of entry to select by default

Returns
  pointer to resulting window

TForm* open_segregs_window | ( | ea_t | ea | ) |
| inline

Open the segment registers window (ui_open_builtin).

Parameters

  ea | index of entry to select by default

Returns
  pointer to resulting window

TForm* open_selectors_window | ( | void |  | ) |
| inline

Open the selectors window (ui_open_builtin).

Returns
  pointer to resulting window

TForm* open_signatures_window | ( | void |  | ) |
| inline

Open the signatures window (ui_open_builtin).

Returns
  pointer to resulting window

TForm* open_tils_window | ( | void |  | ) |
| inline

Open the type libraries window (ui_open_builtin).

Returns
  pointer to resulting window

TForm* open_loctypes_window | ( | int | ordinal | ) |
| inline

Open the local types window (ui_open_builtin).

Parameters

  ordinal | ordinal of type to select by default

Returns
  pointer to resulting window

TForm* open_calls_window | ( | ea_t | ea | ) |
| inline

Open the function calls window (ui_open_builtin).

Returns
  pointer to resulting window

TForm* open_problems_window | ( | ea_t | ea | ) |
| inline

Open the problems window (ui_open_builtin).

Parameters

  ea | index of entry to select by default

Returns
  pointer to resulting window

TForm* open_bpts_window | ( | ea_t | ea | ) |
| inline

Open the breakpoints window (ui_open_builtin).

Parameters

  ea | index of entry to select by default

Returns
  pointer to resulting window

TForm* open_threads_window | ( | void |  | ) |
| inline

Open the threads window (ui_open_builtin).

Returns
  pointer to resulting window

TForm* open_modules_window | ( | void |  | ) |
| inline

Open the modules window (ui_open_builtin).

Returns
  pointer to resulting window

TForm* open_trace_window | ( | void |  | ) |
| inline

Open the trace window (ui_open_builtin).

Returns
  pointer to resulting window

TForm* open_stack_window | ( | void |  | ) |
| inline

Open the call stack window (ui_open_builtin).

Returns
  pointer to resulting window

TForm* open_xrefs_window | ( | ea_t | ea | ) |
| inline

Open the cross references window (ui_open_builtin).

Parameters

  ea | index of entry to select by default

Returns
  pointer to resulting window

TForm* open_frame_window | ( | func_t * | pfn,
|  | uval_t | offset
| ) |  |
| inline

Open the frame window for the given function (ui_open_builtin).

Parameters

  pfn | function to analyze
  offset | offset where the cursor is placed

Returns
  pointer to resulting window if 'pfn' is a valid function and the window was displayed,
  NULL otherwise

TForm* open_navband_window | ( | ea_t | ea,
|  | int | zoom
| ) |  |
| inline

Open the navigation band window (ui_open_builtin).

Parameters

  ea | sets the address of the navband arrow
  zoom | sets the navband zoom level

Returns
  pointer to resulting window

TForm* open_enums_window | ( | tid_t | const_id = `BADADDR` | ) |
| inline

Open the enums window (ui_open_builtin).

Parameters

  const_id | index of entry to select by default

Returns
  pointer to resulting window

TForm* open_structs_window | ( | tid_t | id = `BADADDR`,
|  | uval_t | offset = `0`
| ) |  |
| inline

Open the structs window (ui_open_builtin).

Parameters

  id | index of entry to select by default
  offset | offset where the cursor is placed

Returns
  pointer to resulting window

TForm* open_disasm_window | ( | const char * | window_title,
|  | const areavec_t * | ranges = `NULL`
| ) |  |
| inline

Open a disassembly view (ui_open_builtin).

Parameters

  window_title | title of view to open
  ranges | if != NULL, then display a flow chart with the specified ranges

Returns
  pointer to resulting window

TForm* open_hexdump_window | ( | const char * | window_title | ) |
| inline

Open a hexdump view (ui_open_builtin).

Parameters

  window_title | title of view to open

Returns
  pointer to resulting window

TForm* open_notepad_window | ( | void |  | ) |
| inline

Open the notepad window (ui_open_builtin).

Returns
  pointer to resulting window